<?php
require_once "../../../app/model/db.class.php";
if (!isset($_SESSION)) { session_start(); }

/*
if ($_REQUEST['accion']=='listado'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $tabla=$_REQUEST['tabla'];
    $horari = new database();
    $horari->conectar(); $horari->consulta("set names 'utf8'");

    $query=$horari->consulta("select codigo,descripcion from ".$tabla." order by  orden asc ;");
    $horari->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";
   
    while($row = $horari->fetch_assoc($query)) {
  
      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}
*/
//-------------------------------------------

if ($_REQUEST['accion']=='listadograd'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." order by  orden asc ;");
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_listagrad(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}


if ($_REQUEST['accion']=='listacurso'){

    $id=$_REQUEST['grado'];
    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];
    
    $tabla=$_REQUEST['tabla'];
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $query=$obj->consulta("select * from cursos 
                           where grado='".$id."'");          

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while ($row = $obj->fetch_assoc($query)){

           $cadena.="<tr>";
           $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
           $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td>";

           $query1=$obj->consulta("select * from jornadas where codigo='".$row['jornada']."';");
           $jor=  $obj->fetch_assoc($query1);

          $cadena.="<td>".($jor['descripcion'])."</td></tr>";
     }
     $cadena.="</table>";
     echo $cadena;
     
     $obj->disconnect();        
}


//-------------------------------------

if ($_POST['accion']=='no_folio'){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");


    $query=$obj->consulta("select * from parametros");
    $row = $obj->fetch_assoc($query);
    

    echo $row['no_folio'];
    $obj->disconnect();
}


//-------------------------------------

if ($_POST['accion']=='actualizar_folio'){

    $grado=$_REQUEST['grado'];
    $curso=$_POST['curso'];
    $numero=$_REQUEST['numero'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $cantidad=$obj->consulta("select * from matriculas 
                              where grado='".$grado."' and curso='".$curso."'");
    
    $n=$obj->numero_de_filas($cantidad);


    $obj->consulta("update parametros set no_folio='".($numero+$n)."'");
    
    
    $query=$obj->consulta("select * from parametros");
    $row = $obj->fetch_assoc($query);
    
    echo $row['no_folio'];
   
    $obj->disconnect();
}

//-------------------------------------

if ($_POST['accion']=='paginas'){

  $obj = new database();
  $obj->conectar(); $obj->consulta("set names 'utf8'");
 
  $obj->consulta("DROP TABLE IF EXISTS libro_final");

  $obj->consulta("CREATE TABLE IF NOT EXISTS libro_final (
                    folio int(11) NOT NULL AUTO_INCREMENT,
                    numero int(11) NOT NULL,
                    codigo varchar(20) NOT NULL,
                    p_apellido varchar(50) NOT NULL,
                    s_apellido varchar(50) NOT NULL,
                    p_nombre varchar(50) NOT NULL,
                    s_nombre varchar(50) NOT NULL,
                    grado int(11) NOT NULL,
                    curso varchar(10) NOT NULL,
                    PRIMARY KEY (folio)
                    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=0");
 
$cursos=$obj->consulta("select * from cursos ORDER BY orden DESC");
  
while($row_c= $obj->fetch_assoc($cursos)) { 
      
  $obj->consulta("INSERT INTO libro_final(codigo,p_apellido,s_apellido,p_nombre,s_nombre,grado,curso) 
                  SELECT matriculas.codigo,
                         alumnos.p_apellido,alumnos.s_apellido,alumnos.p_nombre,alumnos.s_nombre,
                         matriculas.grado,matriculas.curso 
                  from alumnos 
                  inner join matriculas 
                  on alumnos.codigo = matriculas.codigo 
                  WHERE matriculas.curso='".$row_c['codigo']."' 
                  ORDER BY alumnos.p_apellido DESC,alumnos.s_apellido DESC,alumnos.p_nombre DESC,alumnos.s_nombre DESC");
}
 
   $libro=$obj->consulta("select * from libro_final 
                          order by folio");
 

   $folio=2;
   $sw=1;
   while($row= $obj->fetch_assoc($libro)) { 
           
         $obj->consulta("UPDATE libro_final SET numero=".$folio." 
                         where folio=".$row['folio']);
                  
         $folio++;
         
   }
   
   
   $total=$obj->consulta("SELECT * from matriculas");
   
   $n=$obj->numero_de_filas($total);
   
   $pag=floor($n/40);
   
   if (($n%40)>0)
       $pag++;
   
   
   echo $pag."/".$n;
   
   $obj->disconnect();
}

?>
